JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.unix
Class X11.XPointerMovedEvent

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XMotionEvent
              com.sun.jna.platform.unix.X11.XPointerMovedEvent

Enclosing interface:
  X11

    public static class X11.XPointerMovedEvent

extends X11.XMotionEvent

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary

Fields inherited from class com.sun.jna.platform.unix.X11.XMotionEvent
`display, is_hint, root, same_screen, send_event, serial, state, subwindow, time, type, window, x, x_root, y, y_root`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XPointerMovedEvent()`

Method Summary

Methods inherited from class com.sun.jna.platform.unix.X11.XMotionEvent
`getFieldOrder`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### X11.XPointerMovedEvent

    public X11.XPointerMovedEvent()

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.